<?php
$cs = Yii::app()->getClientScript();
$baseUrl = Yii::app()->baseUrl;

$cs->registerScript("DeleteBudgetDetails",  "function DeleteBudgetDetails(id){
        var r = confirm('Are you sure to delete this?');
        if(r==true)
        {
            jQuery.ajax({
              'type'  : 'post',
              'data'  : 'id=' + id+'&YII_CSRF_TOKEN=".Yii::app()->request->csrfToken."',
              'url'  : $('#liveSite').val()+'index.php?r=inventoryreport/DeleteBudgetDetails',
              'cache': false,
              'success':function(data){
                if(data=='success'){
                    reloadTable('#tbl_invreport_budget_details');
                    t8.success('YMGF_PSI Budget Details Deleted SuccessFully');
                }else {
                    t8.error(data);
                }
               }
            });
        }
    
       
    };", CClientScript::POS_HEAD);
    $cs->registerScript("downloadRawFile", "function downloadRawFile(file){
        if(file!=''){
            window.open($('#liveSite').val()+'index.php?r=inventoryreport/downloadRawFile&file='+file, '_blank');   
        }else{
            t8.error('Please Select YMGF_PSI Budget Details');
        }
    }", CClientScript::POS_HEAD);

    $cs->registerScript("load", '

        $(document).ready(function() {



        var table_id ="#tbl_invreport_budget_details";

        var table = $(table_id).on("preXhr.dt", function (e, settings, data) {

        data.year = $("#year").val();

        data.month = $("#month").val();

        return data;

        }).DataTable({

            scrollY         : "380px",

           // scrollX         : "true",

           // scrollCollapse  : true,

            pageLength      : 50,

			processing: true,

            order:  [["1", "desc"]],
            ajax: {

                url: "' . Yii::app()->createUrl('inventoryreport/GetBudgetList') . '",

                type: "POST",

                cache : false,

                "data": function ( params ) {

                    params.YII_CSRF_TOKEN = "'.Yii::app()->request->csrfToken.'";

                }

            },

            serverSide:     true,

            fixedColumns:   true,

			processing: true,

            fixedHeader: {

                headerOffset: $("header.main").outerHeight()

            }

        } );

        $(".dataTables_scrollFoot").hide();

    });', CClientScript::POS_HEAD);
    ?>
    <section class="panel">
        <header class="panel-heading clearfix panel-theame">
            <i class="fa fa-tasks"></i> Inventory Report - YMGF_PSI Budget
            <div class="pull-right">
                <?php  //if (isset(Yii::app()->user->havePermissionOn['master_invreport_add']) ||  Yii::app()->user->authorised_user == 1) {?>

                 <button class="btn btn-sm btn-theme" onclick="loadPopupModal('inventoryreport/BudgetCreate','Upload YMGF_PSI Budget','lg')"><i class="fa fa-arrow-up"></i> Upload</button> 
                <?php //} ?>
            </div>
              <div class="col-sm-2 pull-right">

                    <?php  echo CHtml::dropDownList('month','', Order::getmonths(), array('data-label' => 'Month','class'=>'form-control','onChange' => 'reloadTable("#tbl_invreport_budget_details")','empty'=>'Month')); ?>

                </div>

                <div class="col-sm-2 pull-right">

                    <?php echo CHtml::dropDownList('year','',Order::getyear(), array('data-label' => 'Year ','class'=>'form-control','onChange' => 'reloadTable("#tbl_invreport_budget_details")','empty'=>'Year')); ?>

                </div>

        </header>
        <div class="panel-body">
            <div class="custom-data-table">
                <table class="table table-hover table-bordered personal-task" id="tbl_invreport_budget_details">
                    <thead>
                        <tr>
                            <th>Sl No</th>
                            <th>Month</th>
                            <th>Year</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
						    <th>Sl No</th>
                            <th>Month</th>
                            <th>Year</th>
                            <th>Actions</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </section>